Index: code/branches/core6/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/BigExplosion.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/BigExplosion.cc	(revision 9629)
@@ -43,5 +43,5 @@
     CreateFactory(BigExplosion);
 
-    BigExplosion::BigExplosion(BaseObject* creator) : StaticEntity(creator)
+    BigExplosion::BigExplosion(Context* context) : StaticEntity(context)
     {
         RegisterObject(BigExplosion);
@@ -80,8 +80,8 @@
     void BigExplosion::init()
     {
-        this->debrisEntity1_ = new MovableEntity(this);
-        this->debrisEntity2_ = new MovableEntity(this);
-        this->debrisEntity3_ = new MovableEntity(this);
-        this->debrisEntity4_ = new MovableEntity(this);
+        this->debrisEntity1_ = new MovableEntity(this->getContext());
+        this->debrisEntity2_ = new MovableEntity(this->getContext());
+        this->debrisEntity3_ = new MovableEntity(this->getContext());
+        this->debrisEntity4_ = new MovableEntity(this->getContext());
 
         this->debrisEntity1_->setSyncMode(0);
@@ -90,8 +90,8 @@
         this->debrisEntity4_->setSyncMode(0);
 
-        this->debris1_ = new Model(this);
-        this->debris2_ = new Model(this);
-        this->debris3_ = new Model(this);
-        this->debris4_ = new Model(this);
+        this->debris1_ = new Model(this->getContext());
+        this->debris2_ = new Model(this->getContext());
+        this->debris3_ = new Model(this->getContext());
+        this->debris4_ = new Model(this->getContext());
 
         this->debris1_->setSyncMode(0);
@@ -100,5 +100,5 @@
         this->debris4_->setSyncMode(0);
 
-        this->explosion_ = new StaticEntity(this);
+        this->explosion_ = new StaticEntity(this->getContext());
         this->explosion_->setSyncMode(0);
 
@@ -148,5 +148,5 @@
         this->debrisEntity4_->attach(debris4_);
 
-        ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+        ParticleSpawner* effect = new ParticleSpawner(this->getContext());
         effect->setDestroyAfterLife(true);
         effect->setSource("Orxonox/explosion2b");
@@ -154,5 +154,5 @@
         effect->setSyncMode(0);
 
-        ParticleSpawner* effect2 = new ParticleSpawner(this->getCreator());
+        ParticleSpawner* effect2 = new ParticleSpawner(this->getContext());
         effect2->setDestroyAfterLife(true);
         effect2->setSource("Orxonox/smoke6");
@@ -172,9 +172,9 @@
         for(int i=0;i<10;i++)
         {
-            Model* part1 = new Model(this);
-            Model* part2 = new Model(this);
-
-            MovableEntity* partEntity1 = new MovableEntity(this);
-            MovableEntity* partEntity2 = new MovableEntity(this);
+            Model* part1 = new Model(this->getContext());
+            Model* part2 = new Model(this->getContext());
+
+            MovableEntity* partEntity1 = new MovableEntity(this->getContext());
+            MovableEntity* partEntity2 = new MovableEntity(this->getContext());
 
             part1->setSyncMode(0);
Index: code/branches/core6/src/orxonox/worldentities/BigExplosion.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/BigExplosion.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/BigExplosion.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            BigExplosion(BaseObject* creator);
+            BigExplosion(Context* context);
             virtual ~BigExplosion();
 
Index: code/branches/core6/src/orxonox/worldentities/CameraPosition.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/CameraPosition.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/CameraPosition.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(CameraPosition);
 
-    CameraPosition::CameraPosition(BaseObject* creator) : StaticEntity(creator)
+    CameraPosition::CameraPosition(Context* context) : StaticEntity(context)
     {
         RegisterObject(CameraPosition);
Index: code/branches/core6/src/orxonox/worldentities/CameraPosition.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/CameraPosition.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/CameraPosition.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            CameraPosition(BaseObject* creator);
+            CameraPosition(Context* context);
             virtual ~CameraPosition();
 
Index: code/branches/core6/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ControllableEntity.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/ControllableEntity.cc	(revision 9629)
@@ -52,5 +52,5 @@
     registerMemberNetworkFunction( ControllableEntity, setTargetInternal );
 
-    ControllableEntity::ControllableEntity(BaseObject* creator) : MobileEntity(creator)
+    ControllableEntity::ControllableEntity(Context* context) : MobileEntity(context)
     {
         RegisterObject(ControllableEntity);
@@ -397,5 +397,5 @@
         if (!this->camera_ && GameMode::showsGraphics())
         {
-            this->camera_ = new Camera(this);
+            this->camera_ = new Camera(this->getContext());
             this->camera_->requestFocus();
             if (!this->cameraPositionTemplate_.empty())
@@ -423,5 +423,5 @@
             if (!this->hudtemplate_.empty())
             {
-                this->hud_ = new OverlayGroup(this);
+                this->hud_ = new OverlayGroup(this->getContext());
                 this->hud_->addTemplate(this->hudtemplate_);
                 this->hud_->setOwner(this);
Index: code/branches/core6/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ControllableEntity.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/ControllableEntity.h	(revision 9629)
@@ -44,5 +44,5 @@
 
         public:
-            ControllableEntity(BaseObject* creator);
+            ControllableEntity(Context* context);
             virtual ~ControllableEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/Drone.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/Drone.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/Drone.cc	(revision 9629)
@@ -39,5 +39,5 @@
         Constructor. Registers the object and initializes some default values.
     */
-    Drone::Drone(BaseObject* creator) : Pawn(creator)
+    Drone::Drone(Context* context) : Pawn(context)
     {
         RegisterObject(Drone);
@@ -50,5 +50,5 @@
         this->setCollisionType(WorldEntity::Dynamic);
 
-        myController_ = new DroneController(static_cast<BaseObject*>(this)); //!< Creates a new controller and passes our this pointer to it as creator.
+        myController_ = new DroneController(this->getContext()); //!< Creates a new controller and passes our this pointer to it as creator.
         myController_->setDrone(this);
 
Index: code/branches/core6/src/orxonox/worldentities/Drone.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/Drone.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/Drone.h	(revision 9629)
@@ -47,5 +47,5 @@
     {
         public:
-            Drone(BaseObject* creator);
+            Drone(Context* context);
             virtual ~Drone();
 
Index: code/branches/core6/src/orxonox/worldentities/EffectContainer.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/EffectContainer.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/EffectContainer.cc	(revision 9629)
@@ -42,6 +42,6 @@
     CreateFactory(EffectContainer);
 
-    EffectContainer::EffectContainer(BaseObject* creator)
-        : BaseObject(creator)
+    EffectContainer::EffectContainer(Context* context)
+        : BaseObject(context)
         , lua_(NULL)
     {
Index: code/branches/core6/src/orxonox/worldentities/EffectContainer.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/EffectContainer.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/EffectContainer.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            EffectContainer(BaseObject* creator);
+            EffectContainer(Context* context);
             virtual ~EffectContainer();
 
Index: code/branches/core6/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ExplosionChunk.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/ExplosionChunk.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(ExplosionChunk);
 
-    ExplosionChunk::ExplosionChunk(BaseObject* creator) : MovableEntity(creator)
+    ExplosionChunk::ExplosionChunk(Context* context) : MovableEntity(context)
     {
         RegisterObject(ExplosionChunk);
Index: code/branches/core6/src/orxonox/worldentities/ExplosionChunk.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/ExplosionChunk.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/ExplosionChunk.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            ExplosionChunk(BaseObject* creator);
+            ExplosionChunk(Context* context);
             virtual ~ExplosionChunk();
 
Index: code/branches/core6/src/orxonox/worldentities/MobileEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MobileEntity.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/MobileEntity.cc	(revision 9629)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    MobileEntity::MobileEntity(BaseObject* creator) : WorldEntity(creator)
+    MobileEntity::MobileEntity(Context* context) : WorldEntity(context)
     {
         RegisterObject(MobileEntity);
Index: code/branches/core6/src/orxonox/worldentities/MobileEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MobileEntity.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/MobileEntity.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            MobileEntity(BaseObject* creator);
+            MobileEntity(Context* context);
             virtual ~MobileEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MovableEntity.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/MovableEntity.cc	(revision 9629)
@@ -43,5 +43,5 @@
     CreateFactory(MovableEntity);
 
-    MovableEntity::MovableEntity(BaseObject* creator) : MobileEntity(creator)
+    MovableEntity::MovableEntity(Context* context) : MobileEntity(context)
     {
         RegisterObject(MovableEntity);
Index: code/branches/core6/src/orxonox/worldentities/MovableEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/MovableEntity.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/MovableEntity.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            MovableEntity(BaseObject* creator);
+            MovableEntity(Context* context);
             virtual ~MovableEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/SpawnPoint.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/SpawnPoint.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/SpawnPoint.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(SpawnPoint);
 
-    SpawnPoint::SpawnPoint(BaseObject* creator) : StaticEntity(creator)
+    SpawnPoint::SpawnPoint(Context* context) : StaticEntity(context)
     {
         RegisterObject(SpawnPoint);
@@ -81,5 +81,5 @@
     Pawn* SpawnPoint::spawn()
     {
-        Pawn* entity = this->spawnclass_.fabricate(this);
+        Pawn* entity = this->spawnclass_.fabricate(this->getContext());
         if (entity)
         {
Index: code/branches/core6/src/orxonox/worldentities/SpawnPoint.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/SpawnPoint.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/SpawnPoint.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            SpawnPoint(BaseObject* creator);
+            SpawnPoint(Context* context);
             virtual ~SpawnPoint() {}
 
Index: code/branches/core6/src/orxonox/worldentities/StaticEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/StaticEntity.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/StaticEntity.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(StaticEntity);
 
-    StaticEntity::StaticEntity(BaseObject* creator) : WorldEntity(creator)
+    StaticEntity::StaticEntity(Context* context) : WorldEntity(context)
     {
         RegisterObject(StaticEntity);
Index: code/branches/core6/src/orxonox/worldentities/StaticEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/StaticEntity.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/StaticEntity.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            StaticEntity(BaseObject* creator);
+            StaticEntity(Context* context);
             virtual ~StaticEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(TeamSpawnPoint);
 
-    TeamSpawnPoint::TeamSpawnPoint(BaseObject* creator) : SpawnPoint(creator)
+    TeamSpawnPoint::TeamSpawnPoint(Context* context) : SpawnPoint(context)
     {
         RegisterObject(TeamSpawnPoint);
Index: code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            TeamSpawnPoint(BaseObject* creator);
+            TeamSpawnPoint(Context* context);
             virtual ~TeamSpawnPoint() {}
 
Index: code/branches/core6/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/WorldEntity.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/WorldEntity.cc	(revision 9629)
@@ -66,5 +66,5 @@
         All the default values are being set here.
     */
-    WorldEntity::WorldEntity(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    WorldEntity::WorldEntity(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(WorldEntity);
@@ -92,5 +92,5 @@
         this->bPhysicsActiveSynchronised_    = false;
         this->bPhysicsActiveBeforeAttaching_ = false;
-        this->collisionShape_ = new WorldEntityCollisionShape(this);
+        this->collisionShape_ = new WorldEntityCollisionShape(this->getContext());
         this->collisionShape_->setWorldEntityOwner(this);
         this->collisionType_             = None;
Index: code/branches/core6/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/WorldEntity.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/WorldEntity.h	(revision 9629)
@@ -90,5 +90,5 @@
 
         public:
-            WorldEntity(BaseObject* creator);
+            WorldEntity(Context* context);
             virtual ~WorldEntity();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(Destroyer);
 
-    Destroyer::Destroyer(BaseObject* creator) : SpaceShip(creator)
+    Destroyer::Destroyer(Context* context) : SpaceShip(context)
     {
         RegisterObject(Destroyer);
Index: code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Destroyer.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            Destroyer(BaseObject* creator);
+            Destroyer(Context* context);
             virtual ~Destroyer() {};
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 9629)
@@ -55,5 +55,5 @@
     CreateFactory(FpsPlayer);
 
-    FpsPlayer::FpsPlayer(BaseObject* creator) : Pawn(creator)
+    FpsPlayer::FpsPlayer(Context* context) : Pawn(context)
     {
         RegisterObject(FpsPlayer);
Index: code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            FpsPlayer(BaseObject* creator);
+            FpsPlayer(Context* context);
             virtual ~FpsPlayer();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9629)
@@ -51,7 +51,7 @@
     CreateFactory(Pawn);
 
-    Pawn::Pawn(BaseObject* creator)
-        : ControllableEntity(creator)
-        , RadarViewable(creator, static_cast<WorldEntity*>(this))
+    Pawn::Pawn(Context* context)
+        : ControllableEntity(context)
+        , RadarViewable(this, static_cast<WorldEntity*>(this))
     {
         RegisterObject(Pawn);
@@ -84,5 +84,5 @@
         if (GameMode::isMaster())
         {
-            this->weaponSystem_ = new WeaponSystem(this);
+            this->weaponSystem_ = new WeaponSystem(this->getContext());
             this->weaponSystem_->setPawn(this);
         }
@@ -297,5 +297,5 @@
         if (!this->spawnparticlesource_.empty())
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -334,5 +334,5 @@
         this->setDestroyWhenPlayerLeft(false);
 
-        BigExplosion* chunk = new BigExplosion(this->getCreator());
+        BigExplosion* chunk = new BigExplosion(this->getContext());
         chunk->setPosition(this->getPosition());
 
@@ -342,5 +342,5 @@
         // play death effect
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -350,5 +350,5 @@
         }
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -358,5 +358,5 @@
         }
         {
-            ParticleSpawner* effect = new ParticleSpawner(this->getCreator());
+            ParticleSpawner* effect = new ParticleSpawner(this->getContext());
             effect->setPosition(this->getPosition());
             effect->setOrientation(this->getOrientation());
@@ -367,5 +367,5 @@
         for (unsigned int i = 0; i < this->numexplosionchunks_; ++i)
         {
-            ExplosionChunk* chunk = new ExplosionChunk(this->getCreator());
+            ExplosionChunk* chunk = new ExplosionChunk(this->getContext());
             chunk->setPosition(this->getPosition());
         }
Index: code/branches/core6/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Pawn.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Pawn.h	(revision 9629)
@@ -45,5 +45,5 @@
 
         public:
-            Pawn(BaseObject* creator);
+            Pawn(Context* context);
             virtual ~Pawn();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 9629)
@@ -48,5 +48,5 @@
     CreateFactory(SpaceShip);
 
-    SpaceShip::SpaceShip(BaseObject* creator) : Pawn(creator), boostBlur_(NULL)
+    SpaceShip::SpaceShip(Context* context) : Pawn(context), boostBlur_(NULL)
     {
         RegisterObject(SpaceShip);
Index: code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/SpaceShip.h	(revision 9629)
@@ -88,5 +88,5 @@
     {
         public:
-            SpaceShip(BaseObject* creator);
+            SpaceShip(Context* context);
             virtual ~SpaceShip();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/Spectator.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Spectator.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Spectator.cc	(revision 9629)
@@ -47,5 +47,5 @@
     CreateFactory(Spectator);
 
-    Spectator::Spectator(BaseObject* creator) : ControllableEntity(creator)
+    Spectator::Spectator(Context* context) : ControllableEntity(context)
     {
         RegisterObject(Spectator);
Index: code/branches/core6/src/orxonox/worldentities/pawns/Spectator.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/Spectator.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/Spectator.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Spectator(BaseObject* creator);
+            Spectator(Context* context);
             virtual ~Spectator();
 
Index: code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(TeamBaseMatchBase);
 
-    TeamBaseMatchBase::TeamBaseMatchBase(BaseObject* creator) : Pawn(creator)
+    TeamBaseMatchBase::TeamBaseMatchBase(Context* context) : Pawn(context)
     {
         RegisterObject(TeamBaseMatchBase);
Index: code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.h
===================================================================
--- code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.h	(revision 9628)
+++ code/branches/core6/src/orxonox/worldentities/pawns/TeamBaseMatchBase.h	(revision 9629)
@@ -50,5 +50,5 @@
     {
         public:
-            TeamBaseMatchBase(BaseObject* creator);
+            TeamBaseMatchBase(Context* context);
 
             // if class closes, close everything
